package cn.bsl.bxbg.zhiban.adapter;

import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;

import java.util.List;

import butterknife.BindView;
import butterknife.ButterKnife;
import cn.bsl.bxbg.zhiban.R;
import cn.bsl.bxbg.zhiban.net.response.CCDuties;

/**
 * Created by Xinghx on 2018/3/6 0006.
 */

public class ZhibanTableAdapter extends BaseAdapter {
    private List<CCDuties> testBeen;

    public ZhibanTableAdapter(List<CCDuties> testBeen) {
        this.testBeen = testBeen;
    }

    @Override
    public int getCount() {
        return testBeen.size();
    }

    @Override
    public Object getItem(int position) {
        return null;
    }

    @Override
    public long getItemId(int position) {
        return 0;
    }

    @Override
    public View getView(int position, View convertView, ViewGroup parent) {
        ViewHolder viewHolder = null;
        if (convertView == null) {
            convertView = LayoutInflater.from(parent.getContext())
                    .inflate(R.layout.item_zhiban_table, parent, false);
            viewHolder = new ViewHolder(convertView);
            convertView.setTag(viewHolder);
        } else {
            viewHolder = (ViewHolder) convertView.getTag();
        }
        viewHolder.zbTableLeader.setText(testBeen.get(position).getDutyDate() + "\n 带班领导:" +testBeen.get(position).getClassLeaders());
//        viewHolder.zbTableLeader.setText("\n2018-01-01" + "\n\n带班领导:" + testBeen.get(position).getLeader() + "\n");
        viewHolder.zao.setText(testBeen.get(position).getMorning());
        viewHolder.zhong.setText(testBeen.get(position).getNoon());
        viewHolder.wan.setText(testBeen.get(position).getEvening());

//        String[] split = testBeen.get(position).getTime().split(",");
//        String time = "";
//        for (int i = 0; i < split.length; i++) {
//            if (i != split.length - 1) {
//                time += split[i] + "\n\n";
//            } else {
//                time += split[i];
//            }
//        }
//        String[] personSplit = testBeen.get(position).getPerson().split(",");
//        String person = "";
//        for (int i = 0; i < personSplit.length; i++) {
//            if (i != personSplit.length - 1) {
//                person += personSplit[i] + "\n\n";
//            } else {
//                person += personSplit[i];
//            }
//        }
        return convertView;
    }


    static class ViewHolder {
        @BindView(R.id.zb_table_leader)
        TextView zbTableLeader;
        @BindView(R.id.zao)
        TextView zao;
        @BindView(R.id.zhong)
        TextView zhong;
        @BindView(R.id.wan)
        TextView wan;

        ViewHolder(View view) {
            ButterKnife.bind(this, view);
        }
    }
}
